Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2203862

Summary: Review Request: hdmf-common-schema - Specifications for pre-defined data structures provided by HDMF
Product: [Fedora] Fedora Reporter: Ben Beasley <code>
Component: Package ReviewAssignee: Ankur Sinha (FranciscoD) <sanjay.ankur>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: bazanluis20, package-review, sanjay.ankur
Target Milestone: ---Flags: sanjay.ankur: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: Trivial
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-05-22 15:19:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1276941    

Description Ben Beasley 2023-05-15 13:26:39 UTC
Spec URL: https://music.fedorapeople.org/hdmf-common-schema.spec
SRPM URL: https://music.fedorapeople.org/hdmf-common-schema-1.6.0-1.fc38.src.rpm

Description: 

The HDMF Common specification defines a collection of common, reusable data
structures that build the foundation for the modeling of advanced data formats,
e.g., the Neurodata Without Borders (NWB) (https://www.nwb.org/)
neurophysiology data standard. The HDMF Common schema is integrated with HDMF
(https://github.com/hdmf-dev/hdmf), which provides advanced APIs for reading,
writing, and using HDMF-common data types.

Fedora Account System Username: music

Koji scratch builds:

F39: https://koji.fedoraproject.org/koji/taskinfo?taskID=101163124
F38: https://koji.fedoraproject.org/koji/taskinfo?taskID=101163221
F37: https://koji.fedoraproject.org/koji/taskinfo?taskID=101163540

This trivial package provides only a versioned set of YAML schema files. It allows them to be unbundled from at least the python-hdmf package.

Comment 1 Ankur Sinha (FranciscoD) 2023-05-22 13:30:18 UTC
On this one now.

Comment 2 Ankur Sinha (FranciscoD) 2023-05-22 14:06:43 UTC
LGTM XXX APPROVED XXX

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Lawrence Berkeley National Labs BSD
     variant license BSD 3-Clause License". 31 files have unknown license.
     Detailed output of licensecheck in /home/asinha/dump/fedora-
     reviews/2203862-hdmf-common-schema/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: hdmf-common-schema-1.6.0-1.fc39.noarch.rpm
          hdmf-common-schema-1.6.0-1.fc39.src.rpm
=========================================================================== rpmlint session starts ==========================================================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmp33f3ufm0')]
checks: 31, packages: 2

hdmf-common-schema.spec: W: no-%build-section
============================================ 2 packages and 0 specfiles checked; 0 errors, 1 warnings, 0 badness; has taken 0.1 s ===========================================




Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.0 s 



Source checksums
----------------
https://github.com/hdmf-dev/hdmf-common-schema/archive/1.6.0/hdmf-common-schema-1.6.0.tar.gz :
  CHECKSUM(SHA256) this package     : f337d15ce6c6a7f543c01261eb6c8915eceff627e849ed2ec4b15e5c996e2a55
  CHECKSUM(SHA256) upstream package : f337d15ce6c6a7f543c01261eb6c8915eceff627e849ed2ec4b15e5c996e2a55


Requires
--------
hdmf-common-schema (rpmlib, GLIBC filtered):



Provides
--------
hdmf-common-schema:
    hdmf-common-schema



Generated by fedora-review 0.9.0 (6761b6c) last change: 2022-08-23
Command line :/usr/bin/fedora-review -b 2203862
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Perl, Ocaml, SugarActivity, C/C++, Haskell, fonts, R, Java, PHP, Python
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Ben Beasley 2023-05-22 14:54:14 UTC
Thanks for the review!

Comment 4 Ben Beasley 2023-05-22 14:57:28 UTC
Fixed the status and set the assignee. The bug needs to stay ASSIGNED, and needs to be assigned to the reviewer, in order for the repository request to succeed.

Comment 5 Fedora Admin user for bugzilla script actions 2023-05-22 14:58:35 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/hdmf-common-schema

Comment 6 Fedora Update System 2023-05-22 15:16:22 UTC
FEDORA-2023-2f9517ce39 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2f9517ce39

Comment 7 Fedora Update System 2023-05-22 15:19:23 UTC
FEDORA-2023-2f9517ce39 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.